% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/plot_outcome.R
\name{plot_simulation_outcome}
\alias{plot_simulation_outcome}
\title{plot_simulation_outcome}
\usage{
plot_simulation_outcome(
  qc_summary,
  target_damage = c(0.1, 0.8),
  palette = c("grey", "#7023FD", "#E60006")
)
}
\arguments{
\item{qc_summary}{A data frame containing the quality control summary for
cells.}

\item{target_damage}{Numeric vector specifying the target damage levels
for color scaling.}

\item{palette}{A character vector specifying the color gradient used for
coloring the damage levels.}
}
\value{
A \code{ggplot2} object representing the combined plot of altered
and unaltered counts.
}
\description{
Function to generate quality control plots for altered and unaltered counts.
}
\details{
This function generates a combined plot showing the distributions of
various quality control metrics (such as mitochondrial and ribosomal
proportions) before and after damage simulation. It compares unaltered
counts against altered counts for a more comprehensive assessment.
}
\keyword{internal}
